# 👨👩 Flutter Random Face Generator

A flutter app to generate random faces. The Generated faces do not actually exist in real life (in other words you could catfish without getting in trouble 😉 jk jk pls don't catfish). This app uses the [thispersondoesnotexist](https://thispersondoesnotexist.com/) and the [fakeface](https://hankhank10.github.io/fakeface/) api.
Each image has been pre-analyzed by an AI algorithm called [pypy-agender](https://github.com/aristofun/py-agender) to identify the gender and age.

Please star⭐ the repo if you like what you see😊.

## 💻 Installation and Usage

### [Website](https://adityar224.github.io/Random-Face-Generator/#/)

### Android
[<img src="https://images-na.ssl-images-amazon.com/images/G/01/mobile-apps/devportal2/res/images/amazon-appstore-badge-english-black.png" width="200">](https://www.amazon.com/gp/product/B09ZBGJR9G) (or) [![Download apk](https://img.shields.io/badge/Download-apk-green)](https://github.com/adityar224/Random-Face-Generator/releases/download/2.1.0/RFG-Android-2.1.0.apk)

### Linux

#### Ubuntu
- [![Get it from the Snap Store](https://snapcraft.io/static/images/badges/en/snap-store-black.svg)](https://snapcraft.io/random-face-generator)

  (or)

    ```bash 
    sudo snap install random-face-generator
    ```

- Launch from the app launcher or the installed apps list

  (or)

  ```bash
  random-face-generator
  ```

#### Other Distros

- [![Download flatpak](https://img.shields.io/badge/Download-flatpak-orange)](https://github.com/adityar224/Random-Face-Generator/releases/download/2.1.0/RFG-Linux-2.1.0.flatpak)

- Open Terminal in the installed location

-	```bash
	sudo flatpak install RFG-Linux-2.1.0.flatpak
	```
-	```bash
	flatpak run com.aditya.random-face-generator
	```

### Windows
[![Download exe](https://img.shields.io/badge/Download-exe-blue)](https://github.com/adityar224/Random-Face-Generator/releases/download/2.1.0/RFG-Windows-2.1.0.exe)

### Mac Os
[![Download dmg](https://img.shields.io/badge/Download-dmg-lightgrey)](https://github.com/adityar224/Random-Face-Generator/releases/download/2.1.0/RFG-Macos-2.1.0.dmg)

### Ios
[![Download ipa](https://img.shields.io/badge/Download-ipa-yellow)](https://github.com/adityar224/Random-Face-Generator/releases/download/2.1.0/RFG-Ios-2.1.0.ipa)

## ✨ Features

- [x] Generate a Random Face
- [x] Filter by Gender
- [x] Filter by a Age Range
- [x] Download Face Image
- [x] Switch Theme Mode (Dark and Light)
- [x] Responsive Design
- [x] Multi Platform Support

## 📸 Screenshots

- **Mobile**

| Light | Dark |
| - | - |
| <img src="screenshots/mobile-portrait-light.jpg"> | <img src="screenshots/mobile-portrait-dark.jpg"> |
| <img src="screenshots/mobile-landscape-light.jpg"> | <img src="screenshots/mobile-landscape-dark.jpg"> |

- **Desktop**

| Light | Dark |
| - | - |
| <img src="screenshots/web-expanded-light.jpg"> | <img src="screenshots/web-expanded-dark.jpg"> |
| <img src="screenshots/web-mobileview-light.jpg"> | <img src="screenshots/web-mobileview-dark.jpg"> |

## 🔌 Plugins

| Name | Usage |
| - | - |
| [**http**](https://pub.dev/packages/http) | Api Calls |
| [**flutter_lints**](https://pub.dev/packages/flutter_lints) | For linting |
| [**hive**](https://pub.dev/packages/hive) | For preference persistence |
| [**hive_flutter**](https://pub.dev/packages/hive_flutter) | Extension for hive |
| [**download**](https://pub.dev/packages/download) | For downloading the image |
| [**path_provider**](https://pub.dev/packages/path_provider) | For getting the path to download the image |
| [**flutter_native_splash**](https://pub.dev/packages/flutter_native_splash) | To show the splash screen |

## 🤓 Author

**[Aditya R](https://github.com/adityar224)**

## 🔖 LICENSE
[MIT LICENSE](https://github.com/adityar224/Random-Face-Generator/blob/master/LICENSE)

Copyright (c) 2022
**[Aditya R](https://github.com/adityar224)**